Bug 53100 - rhn_register claims 'CPU model 0' on ia64
rhn_register claims 'CPU model 0' on ia64
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
7.3
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-03 12:01 EDT by Bill Nottingham
Modified: 2015-01-07 18:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 17:34:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2001-09-03 12:01:22 EDT
rhn_register claims cpu model 0, which certainly looks odd.

Basically, we should dig around in the kernel cpuinfo code to see if it
says anything different for McKinley, if so, have the parser key off
whatever differences are there.
Comment 1 Adrian Likins 2001-09-04 13:18:19 EDT
discussed this with bill via email. 

The model number of the cpu on our ia64's is indeed "0". 
so..?
Comment 2 Bill Nottingham 2001-09-04 14:06:43 EDT
Finally looked at the kernel code.

The model tag is pulled directly from the processor cpuinfo. No information on
if or how it will change.

However, the 'family' tag (currently set to 'Itanium') will say 'McKinley' if a
McKinley is detected. So that might be something better to key off of.
Comment 3 Adrian Likins 2001-09-04 14:12:40 EDT
ok. I'll populate the model info with the value pulled out of the 
"family" info.

Note You need to log in before you can comment on or make changes to this bug.